
@ECHO OFF

REM %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
REM MS-DOS version of LilyPond
REM   created by Jrmie Lumbroso
REM   for help/info : jeremie@lumbroso.fr
REM %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
REM
REM If you have any trouble with the LilyPond, refer
REM to: http://lilypond.org/wiki/?TroubleshootingWindows
REM
REM %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



REM The variable below are the one you have to set
REM to make the batch file work on your computer :

	SET ROOT=C:\cygwin
	SET LILYVER=1.4.5.jcn1
	SET WINFOLDER=WIN98
	SET WINDRIVE=C:
	


REM All the variables needed to make Lilypond & co.
REM function correctly (as defined by the bash console).

	SET =C:=%ROOT%\bin
	SET COMSPEC=%WINDRIVE%\%WINFOLDER%\COMMAND.COM
	SET GS_FONTPATH=%ROOT%\usr\lilypond-%LILYVER%\share\lilypond\afm;%ROOT%\usr\lilypond-%LILYVER%\share\lilypond\pfa
	SET GS_LIB=%ROOT%\usr\lilypond-%LILYVER%\share\lilypond\ps
	SET HOME=%ROOT%\home\
	SET HOSTNAME=LILYPOND
	SET HOSTTYPE=i686
	SET MACHTYPE=i686-pc-cygwin
	SET MAKE_MODE=unix
	SET MFINPUTS=/usr/lilypond-%LILYVER%/share/lilypond/mf::
	SET OLDPWD=/usr/bin
	SET OSTYPE=cygwin
	SET PATH=%ROOT%\usr\lilypond-%LILYVER%\wrappers;%ROOT%\usr\lilypond-%LILYVER%\wrappers;%ROOT%\usr\lilypond-%LILYVER%\bin;%ROOT%\usr\lilypond-%LILYVER%\bin;%ROOT%\usr\windows\Python;%ROOT%\usr\windows\MiKTeX\miktex\bin;%ROOT%\usr\local\bin;%ROOT%\bin;%ROOT%\bin;c:\%WINFOLDER%;c:\%WINFOLDER%\COMMAND
	SET POSIX_TEXINPUTS=/usr/lilypond-%LILYVER%/share/lilypond/tex:/usr/lilypond-%LILYVER%/share/lilypond/ps::
	SET POSIX_TFMFONTS=/usr/lilypond-%LILYVER%/share/lilypond/tfm::
	SET PROMPT=$p$g
	SET PS1=\[\033]0;\w\007\033[32m\]\u@\h \[\033[33m\w\033[0m\]$
	SET PWD=/home/
	SET SHELL=/bin/bash
	SET SHLVL=1
	SET TEMP=%WINDRIVE%\%WINFOLDER%\TEMP
	SET TERM=cygwin
	SET TEXINPUTS=/usr/lilypond-%LILYVER%/share/lilypond/tex:/usr/lilypond-%LILYVER%/share/lilypond/ps::
	SET TFMFONTS=/usr/lilypond-%LILYVER%/share/lilypond/tfm::
	SET USER=Lilypond
	SET WINBOOTDIR=%WINDRIVE%\%WINFOLDER%
	SET WINDIR=%WINDRIVE%\%WINFOLDER%
	SET WINDOWS_MFINPUTS=%ROOT%\usr\lilypond-%LILYVER%\share\lilypond\mf;.;.
	SET WINDOWS_TEXINPUTS=%ROOT%\usr\lilypond-%LILYVER%\share\lilypond\tex;%ROOT%\usr\lilypond-%LILYVER%\share\lilypond\ps;.;.
	SET WINDOWS_TFMFONTS=%ROOT%\usr\lilypond-%LILYVER%\share\lilypond\tfm;.;.
	SET _=/cygdrive/c/%WINFOLDER%/command.com



REM These are to reflect the exact same configuration
REM as in the original bash login.
	CD "%HOME%"
	CLS



%WINDRIVE%\%WINFOLDER%\COMMAND.COM /K ECHO "GNU LilyPond %LILYVER% - usage : LY2DVI <file.ly>"
